List database tables for a workflow

List database tables for a workflow

Lists the database tables fed by a workflow, each with its aggregated source records.

GET/api/database-tables/workflows/{workflowId}
Path parameters
workflowIdnumberrequired

Path parameter: workflowId

Request

curl
curl -X GET https://trickest.io/api/database-tables/workflows/{workflowId} \
  -H "Authorization: Token $TRICKEST_TOKEN"

Responses

200Tables (with sources) for the workflow
resultsobject[]required

idstringrequired
vault_idstringrequired
solution_idstringrequired
dataset_idstringrequired
namestringrequired
display_namestringrequired
statusstringrequired
error_messagestringrequired
schemaobjectrequired
created_atstringrequired
updated_atstringrequired
last_indexed_atstringrequired
source_countintegerrequired
sourcesobject[]required

idstringrequired
workflow_idstringrequired
workflow_namestringrequired
node_namestringrequired
output_namestringrequired
reporting_node_idstringrequired
sync_statusstringrequired
countinteger
400Bad Request – validation error or malformed input
codestringrequired
messagestringrequired
detailsobject

Field-level detail when the error is a validation failure.

401Unauthorized – missing or expired token
codestringrequired
messagestringrequired
detailsobject

Field-level detail when the error is a validation failure.

403Forbidden – insufficient permissions
codestringrequired
messagestringrequired
detailsobject

Field-level detail when the error is a validation failure.

429Too Many Requests – rate limited
codestringrequired
messagestringrequired
detailsobject

Field-level detail when the error is a validation failure.

500Internal Server Error
codestringrequired
messagestringrequired
detailsobject

Field-level detail when the error is a validation failure.